Subject: Re: RE: input stream crash with gcc 3.1 (stack trace)
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Tue, 19 Mar 2002 19:16:28 +0900
Newsgroups: gmane.os.cygwin

After compiling the stdlibs with -O0 -g I tracked down the crash to address:
0x004bdd7d

looking in my map file I see this at that address:

 .text$_ZNKSt5ctypeIcE2isEcc
                0x004bdd60       0x3c
/usr/local/lib/libstdc++.a(misc-inst.o)
                0x004bdd60                __ZNKSt5ctypeIcE2isEcc

here is the full de-mapped stack dump:  note: gdb 5.1 is playing up with the
new gcc 3.1 output format (maybe I need to grab a different branch of gdb?)
so I can't simply do a symbolic stack trace (it seg faults on me).

0x004bdd7d:

 .text$_ZNKSt5ctypeIcE2isEcc
                0x004bdd60       0x3c
/usr/local/lib/libstdc++.a(misc-inst.o)
                0x004bdd60                __ZNKSt5ctypeIcE2isEcc

0x004c7c6e:

.text$_ZNSi6sentryC1ERSib
                0x004c7b6c      0x184
/usr/local/lib/libstdc++.a(misc-inst.o)
                0x004c7b6c                __ZNSi6sentryC1ERSib
 .text$_ZNSi6sentryC2ERSib

0x004f5b5f:

.text$_ZStrsIcSt11char_traitsIcESaIcEERSt13basic_istreamIT_T0_ES7_RSbIS4_S5_
T1_E
                0x004f5b38      0x1f4
/usr/local/lib/libstdc++.a(misc-inst.o)
                0x004f5b38
__ZStrsIcSt11char_traitsIcESaIcEERSt13basic_istreamIT_T0_ES7_RSbIS4_S5_T1_E

Anyone got any ideas??

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com

"Dylan Cuthbert" <[email-masked]> wrote in message
news:[email-masked]...
> Hmm.. I noticed some talk on a mailing list somewhere about problems with
> locales... could it be to do with input streams trying to look up locale
> info and getting null ptrs as a result?
>
> I'll try compiling libstdc++-v3 with -g and -O0 and see how far I can
get -
> does gdb 5.1 work ok with gcc 3.1 output?
>
> Regards
>
> ---------------------------------
> Q-Games, Dylan Cuthbert.
> http://www.q-games.com
>
> "Billinghurst, David (CRTS)" <[email-masked]> wrote in
> message
> news:[email-masked]...
> I just tried this too. Same result.  I have been chasing (without success)
> some libstdc++-v3 testsuite failures that are similar.  That discusion is
on
> the libstdc++ mailing list.   The advice was to try recompiling
libtsdc++-v3
> with CXXFLAGS="-g -O0" and use the debugger.  This got me a little further
> into the code.
>
> -----Original Message-----
> From: Dylan Cuthbert [mailto:[email-masked]]
> Sent: Tuesday, 19 March 2002 2:11
> Subject: Re: RE: input stream crash with gcc 3.1
>
>
> I tried this #define (in the newlib bits directory - cygwin uses newlib
> right?), reconfigured and recompiled gcc 3.1, but the same problem
occurs -
> segmentation fault on the simplest bit of code that uses cin or ifstream
or
> stringstream.  ( cout etc. works fine by the way).
>
> I'll repeat the code snippet for clarification:
>
> main()
> {
> std::string frog;
> std::cin >> frog;
> assert( 0 );
> }
>
> (it doesn't get to the assert and segment faults)
>
> Any other ideas? :-/
>
> ---------------------------------
> Q-Games, Dylan Cuthbert.
> http://www.q-games.com/personal/utils
>
> ----- Original Message -----
> From: "Danny Smith" <[email-masked]>
> Sent: Tuesday, March 19, 2002 8:08 AM
> Subject: Fwd: RE: input stream crash with gcc 3.1
>
>
> > > From: Danny Smith <[email-masked]>
> > > Subject: RE: input stream crash with gcc 3.1
> > > To: [email-masked]
> > > CC: [email-masked]
> > >
> > > > I have recently compiled the latest 3.1 branch (grabbed directly via
> > > cvs)
> > > > for cygwin (1.3.9) and am having problems when using anything
related
> > > at
> > > > all
> > > > to input streams.
> > >
> > > See this:
> > > http://gcc.gnu.org/ml/gcc-patches/2001-06/msg00841.html
> > > then try rebuilding libstdc++ with
> > >
> > > #define _GLIBCPP_AVOID_FSEEK
> > > added to /libstdc++-v3/config/os/newlib/bits/os_defines.h
> > >
> > > Danny
> > >
> > > http://movies.yahoo.com.au - Yahoo! Movies
> > > - Vote for your nominees in our online Oscars pool.
> > >
> >
> > http://movies.yahoo.com.au - Yahoo! Movies
> > - Vote for your nominees in our online Oscars pool.
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/